__gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator Struct Reference
Inheritance diagram for __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator:
[legend]

## Public Types

typedef _Alloc::difference_type | difference_type
typedef std::forward_iterator_tag | iterator_category
typedef node_pointer_pointer | pointer
typedef node_pointer_reference | reference
typedef node_pointer | value_type

## Public Member Functions

| iterator (node_pointer_pointer p_p_cur=0, node_pointer_pointer p_p_end=0)
bool | operator!= (const const_iterator &other) const
bool | operator!= (const iterator &other) const
node_pointer | operator* ()
node_const_pointer | operator* () const
iterator & | operator++ ()
iterator | operator++ (int)
node_pointer_pointer | operator-> ()
const node_pointer_pointer | operator-> () const
bool | operator== (const const_iterator &other) const
bool | operator== (const iterator &other) const

## Public Attributes

node_pointer_pointer | m_p_p_cur
node_pointer_pointer | m_p_p_end

## Detailed Description

### template<typename _ATraits, typename Metadata>
struct __gnu_pbds::detail::pat_trie_base::_Inode< _ATraits, Metadata >::iterator

Child iterator.

Definition at line 320 of file pat_trie_base.hpp.

The documentation for this struct was generated from the following file:

- pat_trie_base.hpp